---
lang: en
title: 'API docs: rest.routingtable'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.routingtable.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RoutingTable](./rest.routingtable.md)

## RoutingTable class

Routing table

**Signature:**

```typescript
export declare class RoutingTable 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(\_router, \_externalRoutes)](./rest.routingtable._constructor_.md) |  | Constructs a new instance of the <code>RoutingTable</code> class |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [describeApiPaths()](./rest.routingtable.describeapipaths.md) |  |  |
|  [find(request)](./rest.routingtable.find.md) |  | Map a request to a route |
|  [registerController(spec, controllerCtor, controllerFactory)](./rest.routingtable.registercontroller.md) |  | Register a controller as the route |
|  [registerRoute(route)](./rest.routingtable.registerroute.md) |  | Register a route |


